Expands Phing Properties, if any, in the data.

<

p> Example:

    <expandproperties/>

Or:

###

##

###

####

##

###

####

###

##

###

##

###

##

###

##

###

##

###

##

###

####

####

##

##

###

##

###

####

###

###

##

###

###

##

###

##

##

###

####

##

###

####

##

###

####

##

###

####

##

###

####

###

##

##

##

##

    author
    Yannick Lecaillez

    author
    Hans Lellelid

    version
    $Id: d6bb7717db7cf2b122cbdcb93e5bb0f45d97ec52 $

    see
    \global\BaseFilterReader

    package
    phing.filters

     Methods

    Constructor used by Phing's introspection mechanism.
    __construct(\Reader $in)
    Inherited

    The original filter reader is only used for chaining
    purposes, never for filtering purposes (and indeed
    it would be useless for filtering purposes, as it has
    no real data to filter). ChainedReaderHelper uses
    this placeholder instance to create a chain of real filters.

    inherited_from
    \BaseFilterReader::__construct()

    Parameters

    $in
    \Reader

    Creates a new ExpandProperties filter using the passed in
    Reader for instantiation.
    chain(\Reader $reader) : object

    Parameters

    $reader
    objectA Reader object providing the underlying stream. Must not be null.

    Returns

    objectA new filter based on this configuration, but filtering
            the specified reader

    Close stream.
    close()
    Inherited

    inherited_from
    \FilterReader::close()

    inherited_from
    \BaseFilterReader::close()

    Exceptions

    \IOException
    if there is an error closing stream

    Returns whether the end of file has been reached with input stream.
    eof() : boolean
    Inherited

    inherited_from
    \BaseFilterReader::eof()

    Returns
    boolean

    Returns the initialized status.
    getInitialized() : boolean
    Inherited

    inherited_from
    \BaseFilterReader::getInitialized()

    Returns

    booleanwhether or not the filter is initialized

    Returns the project this filter is part of.
    getProject() : object
    Inherited

    inherited_from
    \BaseFilterReader::getProject()

    Returns

    objectThe project this filter is part of

    Returns the filename, url, etc.
    getResource() : string
    Inherited

    that is being read from.
    This is critical for, e.g., ExpatParser's ability to know
    the filename that is throwing an ExpatParserException, etc.

    inherited_from
    \FilterReader::getResource()

    inherited_from
    \BaseFilterReader::getResource()

    Returns
    string

    Convenience method to support logging in filters.
    log(string $msg, int $level)
    Inherited

    inherited_from
    \BaseFilterReader::log()

    Parameters

    $msg
    stringMessage to log.

    $level
    intPriority level.

    If supported, places a "marker" (like a bookmark) at current stream position.
    mark()
    Inherited

    A subsequent call to reset() will move stream position back
    to last marker (if supported).

    inherited_from
    \Reader::mark()

    inherited_from
    \FilterReader::mark()

    inherited_from
    \BaseFilterReader::mark()

    Whether marking is supported.
    markSupported() : boolean
    Inherited

    inherited_from
    \Reader::markSupported()

    inherited_from
    \FilterReader::markSupported()

    inherited_from
    \BaseFilterReader::markSupported()

    Returns
    boolean

    Returns the filtered stream.
    read(\off $len) : mixed

    The original stream is first read in fully, and the Phing properties are expanded.

    exception
    IOException if the underlying stream throws an IOException
    during reading

    Parameters

    $len
    \offOffset at which to start storing characters.
    Exceptions

    \IOException
    If an I/O error occurs

    Returns

    mixedthe filtered stream, or -1 if the end of the resulting stream has been reached.

    Reads a line of text ending with '\n' (or until the end of the stream).
    readLine() : \the
    Inherited

    The returned String retains the '\n'.

    inherited_from
    \BaseFilterReader::readLine()

    Exceptions

    \IOException
    if the underlying reader throws one during
                           reading

    Returns

    \theline read, or null if the end of the
    stream has already been reached

    Is stream ready for reading.
    ready() : boolean
    Inherited

    inherited_from
    \Reader::ready()

    inherited_from
    \FilterReader::ready()

    inherited_from
    \BaseFilterReader::ready()

    Returns
    boolean

    Reset the current position in stream to beginning or last mark (if supported).
    reset()
    Inherited

    inherited_from
    \FilterReader::reset()

    inherited_from
    \BaseFilterReader::reset()

    Sets the initialized status.
    setInitialized(boolean $initialized)
    Inherited

    inherited_from
    \BaseFilterReader::setInitialized()

    Parameters

    $initialized
    booleanWhether or not the filter is initialized.

    Set level of log messages generated (default = info)
    setLevel(string $level)

    Parameters

    $level
    string

    Sets the project to work with.
    setProject(\Project $project)
    Inherited

    inherited_from
    \BaseFilterReader::setProject()

    Parameters

    $project
    objectThe project this filter is part of. Should not be null.

    setReader()

    setReader(\Reader $in)
    Inherited

    inherited_from
    \FilterReader::setReader()

    inherited_from
    \BaseFilterReader::setReader()

    Parameters
    $in

    Move stream position relative to current pos.
    skip(int $n)
    Inherited

    inherited_from
    \FilterReader::skip()

    inherited_from
    \BaseFilterReader::skip()

    Parameters

    $n
    int

     Properties

    $in : \Reader
    Inherited

    inherited_from
    \FilterReader::$$in

    inherited_from
    \BaseFilterReader::$$in

    $initialized
    Inherited

    inherited_from
    \BaseFilterReader::$$initialized

    $logLevel

    $project
    Inherited

    inherited_from
    \BaseFilterReader::$$project